> Calendly developer docs. For page Markdown, append .md to any URL.
> Index: https://developer.calendly.com/llms.txt
> API catalog: https://developer.calendly.com/.well-known/api-catalog
> OpenAPI: https://developer.calendly.com/openapi/calendly-api.yaml
> OAuth authorization server: https://calendly.com/.well-known/oauth-authorization-server
> MCP protected resource: https://mcp.calendly.com/.well-known/oauth-protected-resource
> Scheduling MCP endpoint: https://mcp.calendly.com
> Docs search MCP: https://developer.calendly.com/_mcp/server

# Get Event Type

GET https://api.calendly.com/event_types/{uuid}

Returns information about a specified Event Type.

> `event_types:read`

Reference: https://developer.calendly.com/api-docs/calendly-api/event-types/get-event-type

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0
- `Authorization` header (bearer token, required) — Personal Access Token

## Request

### Path parameters

- `uuid` (string, required)

## Response

### 200

OK

- `resource` (EventType, required) — A configuration for an Event Type

## Errors

### 400 Bad Request Error

Request is not valid

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 401 Unauthorized Error

Cannot authenticate caller

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 403 Forbidden Error

Permission denied or insufficient scope

- `Get-event-typeRequestForbiddenError`

### 404 Not Found Error

Requested resource not found

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 500 Internal Server Error

An error has occurred on the server

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

## Types

### EventType

A configuration for an Event Type

- `active` (boolean, required) — Indicates if the event is active or not.
- `admin_managed` (boolean, required) — Indicates if this event type is managed by an organization admin
- `booking_method` (enum, required) — Indicates if the event type is for a poll or an instant booking
  - Allowed values: `instant`, `poll`
- `color` (string, required) — The hexadecimal color value of the event type's scheduling page
- `created_at` (string, required) — The moment the event type was created (e.g. "2020-01-02T03:04:05.678123Z")
- `custom_questions` (list of EventTypeCustomQuestion, required)
- `deleted_at` (string, required, nullable) — The moment the event type was deleted (e.g. "2020-01-02T03:04:05.678123Z"). Since event types can be deleted but their scheduled events remain it's useful to fetch a deleted event type when you still require event type data for a scheduled event.
- `description_html` (string, required, nullable) — The event type's description (formatted with HTML)
- `description_plain` (string, required, nullable) — The event type's description (in non formatted text)
- `duration` (double, required) — The length of sessions booked with this event type
- `duration_options` (list of integer, required, nullable) — Array of duration options. Always null for adhoc event types.
- `internal_note` (string, required, nullable) — Contents of a note that may be associated with the event type
- `is_paid` (boolean, required)
- `kind` (enum, required) — Indicates if the event type is "solo" (belongs to an individual user) or "group"
  - Allowed values: `solo`, `group`
- `locale` (enum, required) — The locale on the event type, used to determine the language of the event type's scheduling page
  - Allowed values: `en`, `fr`, `es`, `de`, `nl`, `pt`, `it`, `uk`
- `locations` (list of LocationConfiguration, required, nullable) — Configuration information for each possible location for this Event Type
- `name` (string, required, nullable) — The event type name (in human-readable format)
- `pooling_type` (enum, required, nullable) — Indicates if the event type is "round robin" (alternates between hosts) or "collective" (invitees pick a time when all participants are available) or “multi-pool” (considers availability delineated by pools of participants) or "null" (the event type doesn’t consider the availability of a group participants)
  - Allowed values: `round_robin`, `collective`, `multi_pool`
- `position` (integer, required) — Position order of Event Type, starting with 0 (for display purposes)
- `profile` (Profile, required) — The publicly visible profile of a User or a Team that's associated with the Event Type (note: some Event Types don't have profiles)
- `scheduling_url` (string, required) — The URL of the user’s scheduling site where invitees book this event type
- `secret` (boolean, required) — Indicates if the event type is hidden on the owner's main scheduling page
- `slug` (string, required, nullable) — The portion of the event type's URL that identifies a specific web page (in a human-readable format)
- `type` (enum, required) — Indicates if the event type is "AdhocEventType" (ad hoc event) or "StandardEventType" (standard event type)
  - Allowed values: `StandardEventType`, `AdhocEventType`
- `updated_at` (string, required) — The moment the event type was last updated (e.g. "2020-01-02T03:04:05.678123Z")
- `uri` (string, required) — Canonical reference (unique identifier) for the event type

### ErrorResponseDetailsItem

- `message` (string, required)
- `parameter` (string, optional)
- `code` (string, optional)

### GetEventTypeRequestForbiddenError0

Error Object

- `title` (enum, required)
  - Allowed values: `Permission Denied`
- `message` (enum, required)
  - Allowed values: `You do not have permission to access this resource.`, `You do not have permission`
- `details` (list of ErrorResponseDetailsItem, optional)

### InsufficientScopeError

Caller does not have required oauth scopes

- `title` (enum, required)
  - Allowed values: `Insufficient scope`
- `message` (enum, required)
  - Allowed values: `This operation requires the scopes listed in the 'required_scopes' array.`
- `required_scopes` (list of string, required)

### EventTypeCustomQuestion

- `name` (string, required) — The custom question that the host created for the event type.
- `type` (enum, required) — The type of response that the invitee provides to the custom question; can be one or multiple lines of text, a phone number, or single- or multiple-select.
  - Allowed values: `string`, `text`, `phone_number`, `single_select`, `multi_select`
- `position` (integer, required) — The numerical position of the question on the event booking page after the name and email address fields.
- `enabled` (boolean, required) — true if the question created by the host is turned ON and visible on the event booking page; false if turned OFF and invisible on the event booking page.
- `required` (boolean, required) — true if a response to the question created by the host is required for invitees to book the event type; false if not required.
- `answer_choices` (list of string, required) — The invitee’s option(s) for single_select or multi_select type of responses.
- `include_other` (boolean, required) — true if the custom question lets invitees record a written response in addition to single-select or multiple-select type of responses; false if it doesn’t.

### LocationConfiguration

A configuration for an EventType's location

- `kind` (enum, optional)
  - Allowed values: `ask_invitee`, `custom`, `google_conference`, `gotomeeting_conference`, `inbound_call`, `microsoft_teams_conference`, `outbound_call`, `physical`, `webex_conference`, `zoom_conference`
- `location` (string, optional)
- `additional_info` (string, optional)
- `phone_number` (string, optional)

### Profile

The publicly visible profile of a User or a Team that's associated with the Event Type (note: some Event Types don't have profiles)

- `type` (enum, required) — Indicates if the profile belongs to a "user" (individual) or "team"
  - Allowed values: `User`, `Team`
- `name` (string, required) — Human-readable name for the profile of the user that's associated with the event type
- `owner` (string, required) — The unique reference to the user associated with the profile

## Examples

### Example

**Response**

```json
{
  "resource": {
    "active": true,
    "admin_managed": false,
    "booking_method": "instant",
    "color": "#fff200",
    "created_at": "2019-01-02T03:04:05.678123Z",
    "custom_questions": [
      {
        "name": "Company Name",
        "type": "string",
        "position": 0,
        "enabled": true,
        "required": true,
        "answer_choices": [],
        "include_other": false
      },
      {
        "name": "What would you like to discuss?",
        "type": "text",
        "position": 0,
        "enabled": true,
        "required": true,
        "answer_choices": [],
        "include_other": false
      },
      {
        "name": "Number of employees",
        "type": "single_select",
        "position": 2,
        "enabled": true,
        "required": false,
        "answer_choices": [
          "1",
          "2-10",
          "11-20",
          "20+"
        ],
        "include_other": true
      },
      {
        "name": "Multi-Select Question",
        "type": "multi_select",
        "position": 2,
        "enabled": true,
        "required": false,
        "answer_choices": [
          "Answer 1",
          "Answer 2",
          "Answer 3",
          "Answer 4"
        ],
        "include_other": true
      },
      {
        "name": "Phone Number",
        "type": "phone_number",
        "position": 0,
        "enabled": true,
        "required": true,
        "answer_choices": [],
        "include_other": false
      }
    ],
    "deleted_at": null,
    "description_html": "<p>15 Minute Meeting</p>",
    "description_plain": "15 Minute Meeting",
    "duration": 15,
    "duration_options": [
      1,
      13,
      15,
      720
    ],
    "internal_note": "Internal note",
    "is_paid": false,
    "kind": "solo",
    "locale": "en",
    "locations": [
      {
        "kind": "inbound_call",
        "additional_info": "Additional information about location",
        "phone_number": "+ 380934567654"
      }
    ],
    "name": "15 Minute Meeting",
    "pooling_type": "round_robin",
    "position": 0,
    "profile": {
      "type": "User",
      "name": "Tamara Jones",
      "owner": "https://api.calendly.com/users/AAAAAAAAAAAAAAAA"
    },
    "scheduling_url": "https://calendly.com/acmesales",
    "secret": true,
    "slug": "acmesales",
    "type": "StandardEventType",
    "updated_at": "2019-08-07T06:05:04.321123Z",
    "uri": "https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA"
  }
}
```

**SDK Code**

```python Example
import requests

url = "https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example
const url = 'https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example
require 'uri'
require 'net/http'

url = URI("https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Example
using RestSharp;

var client = new RestClient("https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Standard Event Type

**Response**

```json
{
  "resource": {
    "active": true,
    "admin_managed": false,
    "booking_method": "instant",
    "color": "#fff200",
    "created_at": "2019-01-02T03:04:05.678123Z",
    "custom_questions": [
      {
        "name": "Company Name",
        "type": "string",
        "position": 0,
        "enabled": true,
        "required": true,
        "answer_choices": [],
        "include_other": false
      },
      {
        "name": "What would you like to discuss?",
        "type": "text",
        "position": 0,
        "enabled": true,
        "required": true,
        "answer_choices": [],
        "include_other": false
      },
      {
        "name": "Number of employees",
        "type": "single_select",
        "position": 2,
        "enabled": true,
        "required": false,
        "answer_choices": [
          "1",
          "2-10",
          "11-20",
          "20+"
        ],
        "include_other": true
      },
      {
        "name": "Multi-Select Question",
        "type": "multi_select",
        "position": 2,
        "enabled": true,
        "required": false,
        "answer_choices": [
          "Answer 1",
          "Answer 2",
          "Answer 3",
          "Answer 4"
        ],
        "include_other": true
      },
      {
        "name": "Phone Number",
        "type": "phone_number",
        "position": 0,
        "enabled": true,
        "required": true,
        "answer_choices": [],
        "include_other": false
      }
    ],
    "deleted_at": null,
    "description_html": "<p>Event type description</p>",
    "description_plain": "Event type description",
    "duration": 15,
    "duration_options": [
      1,
      13,
      15,
      720
    ],
    "internal_note": "Event type note",
    "is_paid": false,
    "kind": "solo",
    "locale": "en",
    "locations": [
      {
        "kind": "inbound_call",
        "additional_info": "Additional information about location",
        "phone_number": "380934567654"
      }
    ],
    "name": "15 Minute Meeting",
    "pooling_type": "round_robin",
    "position": 0,
    "profile": {
      "type": "User",
      "name": "Tamara Jones",
      "owner": "https://api.calendly.com/users/AAAAAAAAAAAAAAAA"
    },
    "scheduling_url": "https://calendly.com/acmesales",
    "secret": true,
    "slug": "acmesales",
    "type": "StandardEventType",
    "updated_at": "2019-08-07T06:05:04.321123Z",
    "uri": "https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA"
  }
}
```

**SDK Code**

```python Standard Event Type
import requests

url = "https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Standard Event Type
const url = 'https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Standard Event Type
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Standard Event Type
require 'uri'
require 'net/http'

url = URI("https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Standard Event Type
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Standard Event Type
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Standard Event Type
using RestSharp;

var client = new RestClient("https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Standard Event Type
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Adhoc Event Type

**Response**

```json
{
  "resource": {
    "active": true,
    "admin_managed": false,
    "booking_method": "instant",
    "color": "#fff200",
    "created_at": "2019-01-02T03:04:05.678123Z",
    "custom_questions": [],
    "deleted_at": null,
    "description_html": "<p>Event type description</p>",
    "description_plain": "Event type description",
    "duration": 15,
    "duration_options": null,
    "internal_note": "Event type note",
    "is_paid": false,
    "kind": "solo",
    "locale": "en",
    "locations": [
      {
        "kind": "inbound_call",
        "additional_info": "Additional information about location",
        "phone_number": "380934567654"
      }
    ],
    "name": "15 Minute Meeting",
    "pooling_type": null,
    "position": 0,
    "profile": {
      "type": "User",
      "name": "Tamara Jones",
      "owner": "https://api.calendly.com/users/AAAAAAAAAAAAAAAA"
    },
    "scheduling_url": "https://calendly.com/acmesales",
    "secret": true,
    "slug": "acmesales",
    "type": "AdhocEventType",
    "updated_at": "2019-08-07T06:05:04.321123Z",
    "uri": "https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA"
  }
}
```

**SDK Code**

```python Adhoc Event Type
import requests

url = "https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Adhoc Event Type
const url = 'https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Adhoc Event Type
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Adhoc Event Type
require 'uri'
require 'net/http'

url = URI("https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Adhoc Event Type
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Adhoc Event Type
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Adhoc Event Type
using RestSharp;

var client = new RestClient("https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Adhoc Event Type
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```